extension String {
    /// A namespace that defines the format patterns used to generate strings.
    enum Format {
        /// A namespace that defines the format patterns used to generate relative path representations.
        enum Path {
            /// A representation of the format pattern used to generate relative paths that starts with the `/data` string.
            static let data = "/data/%@"
            /// A representation of the format pattern used to generate relative paths that starts with the `/docs` string.
            static let docs = "/docs/%@"
            /// A representation of the format pattern used to generate relative paths that starts with the `/` string.
            static let root = "/%@"
        }
    }
}
